%define name	md5deep
%define version	1.2
%define release	2mdk

Summary:	Compute MD5 message digests on an arbitrary number of files.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		md5deep-1.2-optflags.diff.bz2
Group:		File tools
URL:		http://md5deep.sourceforge.net/
License:	Public Domain
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
md5deep is a cross-platform program to compute MD5 message digests
on an arbitrary number of files. The program is known to run on
Windows(tm), Linux, FreeBSD, OS X, Solaris, and should run on most
other platforms. md5deep is similar to the md5sum program found in
the GNU Coreutils package, but has the following additional
features: 

* Recursive operation - md5deep is able to recursive examine an
  entire directory tree. That is, compute the MD5 for every file
  in a directory andf for every file in every subdirectory. 

* Time estimation - md5deep can produce a time estimate when it's
  processing very large files. 

* Comparison mode - md5deep can accept a list of known hashes and
  compare them to a set of input files. The program can display
  either those input files that match the list of known hashes or
  those that do not match. 

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

%build

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m755 md5deep %{buildroot}%{_bindir}/
install -m755 sha1deep %{buildroot}%{_bindir}/
install -m644 md5deep.1 %{buildroot}%{_mandir}/man1/
install -m644 sha1deep.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/md5deep
%{_bindir}/sha1deep
%{_mandir}/man1/md5deep.1*
%{_mandir}/man1/sha1deep.1*

%changelog
* Sun May 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2-2mdk
- fix the %%vendor and %%distribution string

* Mon Apr 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2-1mdk
- 1.2
- added P0
- added the sha1deep stuff

* Mon May 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-1mdk
- initial cooker contrib
